<html>
<head>
<title>OGRE: Ogre::Pose Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Pose.html">Pose</a></div>
<h1>Ogre::Pose Class Reference</h1><!-- doxytag: class="Ogre::Pose" -->A pose is a linked set of vertex offsets applying to one set of vertex data.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgrePose_8h-source.html">OgrePose.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1Pose-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; size_t, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#5dd51aff1599c910c91862a5c08e90b2">VertexOffsetMap</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A collection of vertex offsets based on the vertex index.  <a href="#5dd51aff1599c910c91862a5c08e90b2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a><br>
&lt; <a class="el" href="classOgre_1_1Pose.html#5dd51aff1599c910c91862a5c08e90b2">VertexOffsetMap</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#ab53719cd5a035c0b5ca9301c9927a9a">VertexOffsetIterator</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">An iterator over the vertex offsets.  <a href="#ab53719cd5a035c0b5ca9301c9927a9a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <br>
<a class="el" href="classOgre_1_1ConstMapIterator.html">ConstMapIterator</a><br>
&lt; <a class="el" href="classOgre_1_1Pose.html#5dd51aff1599c910c91862a5c08e90b2">VertexOffsetMap</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#b7830f6ad3feaf3740a8e6477d97cef5">ConstVertexOffsetIterator</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">An iterator over the vertex offsets.  <a href="#b7830f6ad3feaf3740a8e6477d97cef5"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#3cafdf6a9c77f21d06befd7a2f2dc89c">Pose</a> (<a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> target, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name=<a class="el" href="classOgre_1_1StringUtil.html#d2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a>)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constructor.  <a href="#3cafdf6a9c77f21d06befd7a2f2dc89c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#c969f4336838560b56d2ad650f48595f">~Pose</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#73c497f062296a446298258d3b500e86">getName</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the name of the pose (may be blank).  <a href="#73c497f062296a446298258d3b500e86"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#8c18792868f8165a19ef645b9395a20b">getTarget</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the target geometry index of the pose.  <a href="#8c18792868f8165a19ef645b9395a20b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#e61acae74c70fb3646902ce5f04ee3e7">addVertex</a> (size_t index, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;offset)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Adds an offset to a vertex for this pose.  <a href="#e61acae74c70fb3646902ce5f04ee3e7"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#139c78110101298ddde260277e0d38f1">removeVertex</a> (size_t index)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remove a vertex offset.  <a href="#139c78110101298ddde260277e0d38f1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#4f0d1d9d0796573edd9b7d7143bf2c49">clearVertexOffsets</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Clear all vertex offsets.  <a href="#4f0d1d9d0796573edd9b7d7143bf2c49"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ConstMapIterator.html">ConstVertexOffsetIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#af66be533fd63dff6be363d573ae6740">getVertexOffsetIterator</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets an iterator over all the vertex offsets.  <a href="#af66be533fd63dff6be363d573ae6740"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MapIterator.html">VertexOffsetIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#0f6ceaf2411fe3b8e63652b4a182ca35">getVertexOffsetIterator</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets an iterator over all the vertex offsets.  <a href="#0f6ceaf2411fe3b8e63652b4a182ca35"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Pose.html#5dd51aff1599c910c91862a5c08e90b2">VertexOffsetMap</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#7216f1dac1bd9e0bec03160d2929248a">getVertexOffsets</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets a const reference to the vertex offsets.  <a href="#7216f1dac1bd9e0bec03160d2929248a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <br>
<a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#9845ac065be01f223405dbfcd010d2f6">_getHardwareVertexBuffer</a> (size_t numVertices) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get a hardware vertex buffer version of the vertex offsets.  <a href="#9845ac065be01f223405dbfcd010d2f6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Pose.html">Pose</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#153cee4b0f92d630006125ea2d17e9ee">clone</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Clone this pose and create another one configured exactly the same way (only really useful for cloning holders of this class).  <a href="#153cee4b0f92d630006125ea2d17e9ee"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#f23de51f107e8192583857cf230a574e">mTarget</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Target geometry index.  <a href="#f23de51f107e8192583857cf230a574e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#4dfab7ef915235c4e3885054f0649c3e">mName</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Optional name.  <a href="#4dfab7ef915235c4e3885054f0649c3e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Pose.html#5dd51aff1599c910c91862a5c08e90b2">VertexOffsetMap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#e0965a04e0b5b5285e29b10e646561a0">mVertexOffsetMap</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Primary storage, sparse vertex use.  <a href="#e0965a04e0b5b5285e29b10e646561a0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#4256531f55d7093373437ca1864115a5">mBuffer</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Derived hardware buffer, covers all vertices.  <a href="#4256531f55d7093373437ca1864115a5"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
A pose is a linked set of vertex offsets applying to one set of vertex data. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The target index referred to by the pose has a meaning set by the user of this class; but for example when used by <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> it refers to either the <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> shared geometry (0) or a <a class="el" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a> dedicated geometry (1+). <a class="el" href="classOgre_1_1Pose.html" title="A pose is a linked set of vertex offsets applying to one set of vertex data.">Pose</a> instances can be referred to by keyframes in <a class="el" href="classOgre_1_1VertexAnimationTrack.html" title="Specialised AnimationTrack for dealing with changing vertex position information...">VertexAnimationTrack</a> in order to animate based on blending poses together. </dd></dl>

<p>Definition at line <a class="el" href="OgrePose_8h-source.html#l00049">49</a> of file <a class="el" href="OgrePose_8h-source.html">OgrePose.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="5dd51aff1599c910c91862a5c08e90b2"></a><!-- doxytag: member="Ogre::Pose::VertexOffsetMap" ref="5dd51aff1599c910c91862a5c08e90b2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::map&lt;size_t, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&gt; <a class="el" href="classOgre_1_1Pose.html#5dd51aff1599c910c91862a5c08e90b2">Ogre::Pose::VertexOffsetMap</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
A collection of vertex offsets based on the vertex index. 
<p>

<p>Definition at line <a class="el" href="OgrePose_8h-source.html#l00064">64</a> of file <a class="el" href="OgrePose_8h-source.html">OgrePose.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ab53719cd5a035c0b5ca9301c9927a9a"></a><!-- doxytag: member="Ogre::Pose::VertexOffsetIterator" ref="ab53719cd5a035c0b5ca9301c9927a9a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a>&lt;<a class="el" href="classOgre_1_1Pose.html#5dd51aff1599c910c91862a5c08e90b2">VertexOffsetMap</a>&gt; <a class="el" href="classOgre_1_1MapIterator.html">Ogre::Pose::VertexOffsetIterator</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
An iterator over the vertex offsets. 
<p>

<p>Definition at line <a class="el" href="OgrePose_8h-source.html#l00066">66</a> of file <a class="el" href="OgrePose_8h-source.html">OgrePose.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b7830f6ad3feaf3740a8e6477d97cef5"></a><!-- doxytag: member="Ogre::Pose::ConstVertexOffsetIterator" ref="b7830f6ad3feaf3740a8e6477d97cef5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1ConstMapIterator.html">ConstMapIterator</a>&lt;<a class="el" href="classOgre_1_1Pose.html#5dd51aff1599c910c91862a5c08e90b2">VertexOffsetMap</a>&gt; <a class="el" href="classOgre_1_1ConstMapIterator.html">Ogre::Pose::ConstVertexOffsetIterator</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
An iterator over the vertex offsets. 
<p>

<p>Definition at line <a class="el" href="OgrePose_8h-source.html#l00068">68</a> of file <a class="el" href="OgrePose_8h-source.html">OgrePose.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="3cafdf6a9c77f21d06befd7a2f2dc89c"></a><!-- doxytag: member="Ogre::Pose::Pose" ref="3cafdf6a9c77f21d06befd7a2f2dc89c" args="(ushort target, const String &amp;name=StringUtil::BLANK)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Pose::Pose           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td>
          <td class="paramname"> <em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em> = <code><a class="el" href="classOgre_1_1StringUtil.html#d2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a></code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Constructor. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>target</em>&nbsp;</td><td>The target vertexdata index (0 for shared, 1+ for dedicated at the submesh index + 1) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>name</em>&nbsp;</td><td>Optional name </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="c969f4336838560b56d2ad650f48595f"></a><!-- doxytag: member="Ogre::Pose::~Pose" ref="c969f4336838560b56d2ad650f48595f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::Pose::~Pose           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="73c497f062296a446298258d3b500e86"></a><!-- doxytag: member="Ogre::Pose::getName" ref="73c497f062296a446298258d3b500e86" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::Pose::getName           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Return the name of the pose (may be blank). 
<p>

<p>Definition at line <a class="el" href="OgrePose_8h-source.html#l00060">60</a> of file <a class="el" href="OgrePose_8h-source.html">OgrePose.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8c18792868f8165a19ef645b9395a20b"></a><!-- doxytag: member="Ogre::Pose::getTarget" ref="8c18792868f8165a19ef645b9395a20b" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> Ogre::Pose::getTarget           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Return the target geometry index of the pose. 
<p>

<p>Definition at line <a class="el" href="OgrePose_8h-source.html#l00062">62</a> of file <a class="el" href="OgrePose_8h-source.html">OgrePose.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e61acae74c70fb3646902ce5f04ee3e7"></a><!-- doxytag: member="Ogre::Pose::addVertex" ref="e61acae74c70fb3646902ce5f04ee3e7" args="(size_t index, const Vector3 &amp;offset)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Pose::addVertex           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>offset</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Adds an offset to a vertex for this pose. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>index</em>&nbsp;</td><td>The vertex index </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>offset</em>&nbsp;</td><td>The position offset for this pose </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="139c78110101298ddde260277e0d38f1"></a><!-- doxytag: member="Ogre::Pose::removeVertex" ref="139c78110101298ddde260277e0d38f1" args="(size_t index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Pose::removeVertex           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>index</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Remove a vertex offset. 
<p>

</div>
</div><p>
<a class="anchor" name="4f0d1d9d0796573edd9b7d7143bf2c49"></a><!-- doxytag: member="Ogre::Pose::clearVertexOffsets" ref="4f0d1d9d0796573edd9b7d7143bf2c49" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Pose::clearVertexOffsets           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Clear all vertex offsets. 
<p>

</div>
</div><p>
<a class="anchor" name="af66be533fd63dff6be363d573ae6740"></a><!-- doxytag: member="Ogre::Pose::getVertexOffsetIterator" ref="af66be533fd63dff6be363d573ae6740" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ConstMapIterator.html">ConstVertexOffsetIterator</a> Ogre::Pose::getVertexOffsetIterator           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets an iterator over all the vertex offsets. 
<p>

</div>
</div><p>
<a class="anchor" name="0f6ceaf2411fe3b8e63652b4a182ca35"></a><!-- doxytag: member="Ogre::Pose::getVertexOffsetIterator" ref="0f6ceaf2411fe3b8e63652b4a182ca35" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MapIterator.html">VertexOffsetIterator</a> Ogre::Pose::getVertexOffsetIterator           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets an iterator over all the vertex offsets. 
<p>

</div>
</div><p>
<a class="anchor" name="7216f1dac1bd9e0bec03160d2929248a"></a><!-- doxytag: member="Ogre::Pose::getVertexOffsets" ref="7216f1dac1bd9e0bec03160d2929248a" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Pose.html#5dd51aff1599c910c91862a5c08e90b2">VertexOffsetMap</a>&amp; Ogre::Pose::getVertexOffsets           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets a const reference to the vertex offsets. 
<p>

<p>Definition at line <a class="el" href="OgrePose_8h-source.html#l00087">87</a> of file <a class="el" href="OgrePose_8h-source.html">OgrePose.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9845ac065be01f223405dbfcd010d2f6"></a><!-- doxytag: member="Ogre::Pose::_getHardwareVertexBuffer" ref="9845ac065be01f223405dbfcd010d2f6" args="(size_t numVertices) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a>&amp; Ogre::Pose::_getHardwareVertexBuffer           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>numVertices</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get a hardware vertex buffer version of the vertex offsets. 
<p>

</div>
</div><p>
<a class="anchor" name="153cee4b0f92d630006125ea2d17e9ee"></a><!-- doxytag: member="Ogre::Pose::clone" ref="153cee4b0f92d630006125ea2d17e9ee" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Pose.html">Pose</a>* Ogre::Pose::clone           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Clone this pose and create another one configured exactly the same way (only really useful for cloning holders of this class). 
<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="f23de51f107e8192583857cf230a574e"></a><!-- doxytag: member="Ogre::Pose::mTarget" ref="f23de51f107e8192583857cf230a574e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="classOgre_1_1Pose.html#f23de51f107e8192583857cf230a574e">Ogre::Pose::mTarget</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Target geometry index. 
<p>

<p>Definition at line <a class="el" href="OgrePose_8h-source.html#l00098">98</a> of file <a class="el" href="OgrePose_8h-source.html">OgrePose.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4dfab7ef915235c4e3885054f0649c3e"></a><!-- doxytag: member="Ogre::Pose::mName" ref="4dfab7ef915235c4e3885054f0649c3e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Pose.html#4dfab7ef915235c4e3885054f0649c3e">Ogre::Pose::mName</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Optional name. 
<p>

<p>Definition at line <a class="el" href="OgrePose_8h-source.html#l00100">100</a> of file <a class="el" href="OgrePose_8h-source.html">OgrePose.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e0965a04e0b5b5285e29b10e646561a0"></a><!-- doxytag: member="Ogre::Pose::mVertexOffsetMap" ref="e0965a04e0b5b5285e29b10e646561a0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Pose.html#5dd51aff1599c910c91862a5c08e90b2">VertexOffsetMap</a> <a class="el" href="classOgre_1_1Pose.html#e0965a04e0b5b5285e29b10e646561a0">Ogre::Pose::mVertexOffsetMap</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Primary storage, sparse vertex use. 
<p>

<p>Definition at line <a class="el" href="OgrePose_8h-source.html#l00102">102</a> of file <a class="el" href="OgrePose_8h-source.html">OgrePose.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4256531f55d7093373437ca1864115a5"></a><!-- doxytag: member="Ogre::Pose::mBuffer" ref="4256531f55d7093373437ca1864115a5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> <a class="el" href="classOgre_1_1Pose.html#4256531f55d7093373437ca1864115a5">Ogre::Pose::mBuffer</a><code> [mutable, protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Derived hardware buffer, covers all vertices. 
<p>

<p>Definition at line <a class="el" href="OgrePose_8h-source.html#l00104">104</a> of file <a class="el" href="OgrePose_8h-source.html">OgrePose.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgrePose_8h-source.html">OgrePose.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:50 2008
</p>
</body>
</html>
